package com.ditrix.ownaction;

import android.app.Activity;
import android.os.Bundle;
import android.widget.Toast;


public class ToastActivity extends Activity {
  public static final String EXTRAS_MESSAGE = ToastActivity.class.getPackage().getName() + ".EXTRAS_MESSAGE";

  @Override
  protected void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);

    if (getIntent() != null) {
      String toastMessage = getIntent().getStringExtra(EXTRAS_MESSAGE);
      if (toastMessage != null) {
        Toast.makeText(this, toastMessage, Toast.LENGTH_SHORT).show();
        setResult(RESULT_OK, ResponseIntentCreator.prepareIntent());
      } else {
        setResult(RESULT_CANCELED);
      }

    } else {
      setResult(RESULT_CANCELED);
    }

    finish();
  }
}
